Bug 91883 - [HSW, BDW, SKL,CFL] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A
Summary: [HSW, BDW, SKL,CFL] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update ...
Status: CLOSED DUPLICATE of bug 105537
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: high major
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
: 95632 (view as bug list)
Depends on:
Blocks: 105981
  Show dependency treegraph
 
Reported: 2015-09-04 19:17 UTC by mikhail.v.gavrilov
Modified: 2018-08-27 09:51 UTC (History)
35 users (show)

See Also:
i915 platform: BDW, HSW, I865G, SKL
i915 features: display/atomic


Attachments
dmesg (1.06 MB, text/plain)
2015-09-04 19:17 UTC, mikhail.v.gavrilov
no flags Details
Xorg.0.log (5.55 KB, text/plain)
2015-09-04 19:22 UTC, mikhail.v.gavrilov
no flags Details
[drm:intel_pipe_update_end] *ERROR* Atomic update failure on pipe A (start=1690767 end=1690768) (74.70 KB, text/plain)
2016-05-14 06:59 UTC, Carlos Jimenez
no flags Details
dump /sys/class/drm/card0/error (445.88 KB, text/plain)
2016-12-01 12:59 UTC, arliweng
no flags Details
Move LUT until after vblank evasion. (1.40 KB, patch)
2016-12-13 14:55 UTC, Maarten Lankhorst
no flags Details | Splinter Review
with drm.debug=0xe (203.95 KB, text/plain)
2017-08-14 01:06 UTC, Arcadiy Ivanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mikhail.v.gavrilov 2015-09-04 19:17:18 UTC
Created attachment 118084 [details]
dmesg

[drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=144313 end=144314)


$ uname -r
4.2.0-1.fc23.i686+debug
Comment 1 mikhail.v.gavrilov 2015-09-04 19:22:08 UTC
Created attachment 118085 [details]
Xorg.0.log
Comment 2 Jesse Barnes 2015-09-10 20:37:30 UTC
Can you try this series and see if you can reproduce?

http://lists.freedesktop.org/archives/intel-gfx/2015-September/075601.html
Comment 3 Tatsuyuki Ishi 2015-09-18 10:05:39 UTC
Possibly related to my freeze after my mesa (especially libdrm) upgrade. Tested on Arch (testing) multiple intel computers.
Comment 4 Jesse Barnes 2015-09-23 14:52:56 UTC
Should be fixed now:

commit 41b578fb0e8b930f2470d3f673b0fa279e77a7b8
Author: Jesse Barnes <jbarnes@virtuousgeek.org>
Date:   Tue Sep 22 12:15:54 2015 -0700

    drm/i915: workaround bad DSL readout v3

if not, please re-open with the requested info.
Comment 5 Maarten Lankhorst 2015-09-24 13:47:09 UTC

*** This bug has been marked as a duplicate of bug 91579 ***
Comment 6 Carlos Jimenez 2016-05-14 06:59:08 UTC
Created attachment 123736 [details]
[drm:intel_pipe_update_end] *ERROR* Atomic update failure on pipe A (start=1690767 end=1690768)

[drm:intel_pipe_update_end] *ERROR* Atomic update failure on pipe A (start=1690767 end=1690768)

on kernel 4.1.24 .
Comment 7 alium 2016-05-22 19:59:48 UTC
same problem: 
[drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=301707 end=301708) time 1 us, min 1073, max 1079, scanline start 1088, end 1080


kernel: linux-zen 4.6-1
driver: xf86-video-intel 1:2.99.917+654+ga508b11
DRM: libdrm 2.4.68

on Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 0b)
Comment 8 Ville Syrjala 2016-05-25 12:58:35 UTC
(In reply to alium from comment #7)
> same problem: 
> [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A
> (start=301707 end=301708) time 1 us, min 1073, max 1079, scanline start
> 1088, end 1080

Hmm. Those numbers don't make any real sense. Basically the frame counter and scanline counter are telling us that the update took almost one full frame (which would be ~16 msec presumably), however the system clock is telling us it took just 1 usec.

I suppose one possibility is that the scanline start is bogus. But that would mean there is yet another problem with the hardware scanline counter.

Or maybe this is another PSR issue. Do you have a decent way to reproduce this, and if so can you try with i915.enable_psr=0 ?
Comment 9 alium 2016-05-25 15:44:06 UTC
I'll try it, but it happens very randomly. Usually this happen so, taht if i suspend my system (KDE 5.6.4) machine sleep less than a second and wake up again.

I can try i915.enable_psr=0.
Comment 10 alium 2016-06-01 20:14:04 UTC
After 3 days using laptop with parameter i915.enable_psr=0 and the error did not occur - it seems that the PSR makes the problem.
Comment 11 alium 2016-06-03 09:23:54 UTC
It seems that this patch from https://patchwork.freedesktop.org/patch/87908/ (https://bugs.freedesktop.org/show_bug.cgi?id=95176) solves my problem - it need more testing (tested only a few hours), but up to now no error.

This patch is now in linux ZEN kernel 4.6.1 (in Archlinux) included.
Comment 12 alium 2016-06-05 13:55:51 UTC
first ERROR from update to linux-zen-4.6.1:

[xyz@toshiba]$ dmesg | grep RROR
[ 7099.272417] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=4718 end=4719) time 2 us, min 1073, max 1079, scanline start 1088, end 1080
[11889.739562] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=246772 end=246773) time 3 us, min 1073, max 1079, scanline start 1088, end 1080
Comment 13 cribari 2016-06-08 10:27:32 UTC
Kernel: 

cribari@darwin4 ~ $ uname -a
Linux darwin4 4.6.1-2-ARCH #1 SMP PREEMPT Thu Jun 2 15:46:17 CEST 2016 x86_64 GNU/Linux

dmesg informs:

[    8.587906] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[    9.364572] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[    9.714463] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[   10.668304] fuse init (API version 7.24)
[   10.865649] haswell-pcm-audio haswell-pcm-audio: FW loaded, mailbox readback FW info: type 01, - version: 00.00, build 77, source commit id: 876ac6906f31a43b6772b23c7c983ce9dcb18a19
[   11.023240] Bluetooth: RFCOMM TTY layer initialized
[   11.023247] Bluetooth: RFCOMM socket layer initialized
[   11.023252] Bluetooth: RFCOMM ver 1.11
[   11.037779] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[   13.741063] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[   15.600966] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[   44.823517] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
Comment 14 yann 2016-07-12 12:05:27 UTC
*** Bug 96701 has been marked as a duplicate of this bug. ***
Comment 15 yann 2016-07-12 12:09:02 UTC
Raising as highest because this is causing [BAT] kms_cursor_legacy subtest failure when having at least a 2nd output (eDP + DP or eDP + HDMI).
Disabling PSR doesn't solve anything.
Comment 16 yann 2016-07-15 11:25:20 UTC
removing APL from here since issue is continued to be tracked in bug 96701. Updating priority accordingly
Comment 17 Leho Kraav (:macmaN :lkraav) 2016-08-07 08:47:39 UTC
$ [-] uname -a
Linux papaya 4.7.0-gentoo+ #15 SMP PREEMPT Fri Aug 5 22:03:23 EEST 2016 x86_64 Intel(R) Core(TM) i5-4300U CPU @ 1.90GHz GenuineIntel GNU/Linux


Also got one of these right now:

aug   07 11:29:00 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=20994 end=20995) time 1 us, min 1073, max 1079, scanline start 1088, end 1080


My systemd journal reaches back to almost 2 years.
"-- Logs begin at L 2014-11-15 10:42:29 EET, end at P 2016-08-07 11:40:01 EEST. --"


Thought I'd grep through for the marker.

leho@papaya ~ $ [-] journalctl | grep intel_pipe_update_end
apr   07 12:09:51 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=232313 end=232314) time 1779 us, min 1073, max 1079, scanline start 1055, end 63
juuli 06 11:00:09 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=107219 end=107220) time 1 us, min 1073, max 1079, scanline start 1088, end 1080
juuli 08 20:17:48 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=34576 end=34577) time 1 us, min 1073, max 1079, scanline start 1088, end 1080
juuli 09 10:27:33 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=5452 end=5453) time 1 us, min 1073, max 1079, scanline start 1088, end 1080
juuli 09 10:56:08 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=48553 end=48554) time 1 us, min 1073, max 1079, scanline start 1088, end 1088
juuli 09 13:21:55 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=154496 end=154497) time 4 us, min 1073, max 1079, scanline start 1088, end 1080
juuli 09 16:44:47 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=614135 end=614136) time 1 us, min 1073, max 1079, scanline start 1088, end 1080
juuli 09 23:46:27 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=1345974 end=1345975) time 1 us, min 1073, max 1079, scanline start 1088, end 1080
juuli 16 14:10:53 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=27846 end=27847) time 4 us, min 1073, max 1079, scanline start 1088, end 1080
juuli 18 11:02:28 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=284496 end=284497) time 1 us, min 1073, max 1079, scanline start 1088, end 1080
juuli 19 23:02:00 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=280555 end=280556) time 3 us, min 1073, max 1079, scanline start 1088, end 1080
juuli 21 23:43:20 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=164936 end=164937) time 1 us, min 1073, max 1079, scanline start 1088, end 1080
juuli 22 23:06:52 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=231426 end=231427) time 2 us, min 1073, max 1079, scanline start 1088, end 1088
juuli 23 12:14:10 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=253292 end=253293) time 1 us, min 1073, max 1079, scanline start 1088, end 1080
juuli 24 12:20:16 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=141197 end=141198) time 1 us, min 1073, max 1079, scanline start 1088, end 1080
juuli 24 12:25:09 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=153195 end=153196) time 1 us, min 1073, max 1079, scanline start 1088, end 1080
juuli 24 16:43:19 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=87459 end=87460) time 1 us, min 1073, max 1079, scanline start 1088, end 1080
juuli 24 19:08:15 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=134945 end=134946) time 1 us, min 1073, max 1079, scanline start 1088, end 1080
juuli 25 01:39:20 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=586799 end=586800) time 1 us, min 1073, max 1079, scanline start 1088, end 1088
juuli 29 00:48:22 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=220864 end=220865) time 1 us, min 1073, max 1079, scanline start 1088, end 1088
juuli 31 22:52:48 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=169251 end=169252) time 1 us, min 1073, max 1079, scanline start 1088, end 1080
juuli 31 23:16:45 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=205926 end=205927) time 1 us, min 1073, max 1079, scanline start 1088, end 1080
aug   01 14:57:47 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=36409 end=36410) time 1 us, min 1073, max 1079, scanline start 1088, end 1080
aug   01 20:24:12 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=69128 end=69129) time 1 us, min 1073, max 1079, scanline start 1088, end 1080
aug   01 21:24:04 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=202433 end=202434) time 1 us, min 1073, max 1079, scanline start 1088, end 1080
aug   04 22:58:18 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=56490 end=56491) time 1 us, min 1073, max 1079, scanline start 1088, end 1080
aug   04 23:14:43 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=90296 end=90297) time 1 us, min 1073, max 1079, scanline start 1088, end 1088
aug   04 23:57:03 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=183849 end=183850) time 1 us, min 1073, max 1079, scanline start 1088, end 1080
aug   05 00:36:39 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=267775 end=267776) time 1 us, min 1073, max 1079, scanline start 1088, end 1088
aug   05 23:43:49 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=128990 end=128991) time 1 us, min 1073, max 1079, scanline start 1088, end 1080
aug   06 03:41:43 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=362650 end=362651) time 1 us, min 1073, max 1079, scanline start 1088, end 1088
aug   06 13:15:04 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=51361 end=51362) time 5 us, min 1073, max 1079, scanline start 1088, end 1080
aug   07 11:29:00 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=20994 end=20995) time 1 us, min 1073, max 1079, scanline start 1088, end 1080
leho@papaya ~ $ [-]
Comment 18 Sandro Bonazzola 2016-08-09 09:59:03 UTC
[drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=332867 end=332868) time 162 us, min 1073, max 1079, scanline start 1069, end 1080

$ uname -r
4.6.5-300.fc24.x86_64

xorg-x11-drv-intel-2.99.917-24.20160712.fc24.x86_64

00:02.0 VGA compatible controller: Intel Corporation HD Graphics 520 (rev 07) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device 2233
	Flags: bus master, fast devsel, latency 0, IRQ 126
	Memory at f0000000 (64-bit, non-prefetchable) [size=16M]
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at e000 [size=64]
	[virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: i915
	Kernel modules: i915
Comment 19 Boyd Kelly 2016-08-21 14:23:28 UTC
I'm getting these errors on my Lenovo yoga pro 2, as soon as I boot up.  However after a few minutes the screen will start flikering to the point that my laptop is useless.  This started some time near my update to F24.

Aug 21 14:19:16 y2 kernel: [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
Aug 21 14:19:18 y2 kernel: [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
Aug 21 14:20:01 y2 kernel: [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
Aug 21 14:20:01 y2 kernel: [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
^C
 root  ~  uname -r
4.6.6-300.fc24.x86_64
 root  ~  rpm -qa | grep intel
xorg-x11-drv-intel-2.99.917-24.20160712.fc24.x86_64
 root  ~ 
Comment 20 BLBennett 2016-08-21 19:36:37 UTC
I had the same, until I saw this fix: https://bbs.archlinux.org/post.php?tid=214177&qid=1643228

Requires adding 

   i915.enable_psr=0

to your kernel boot parameters.
Comment 21 Steven Ellis 2016-09-13 04:58:32 UTC
I'm seeing similar issues on an Acer ES1-431 with integrated N3150 CPU.

$ uname -r
4.6.7-200.fc23.x86_64

libva-intel-driver-1.6.2-1.fc23.x86_64
xorg-x11-drv-intel-2.99.917-19.20151206.fc23.x86_64


00:02.0 VGA compatible controller: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Integrated Graphics Controller (rev 21) (prog-if 00 [VGA controller])
        Subsystem: Acer Incorporated [ALI] Device 1009
        Flags: bus master, fast devsel, latency 0, IRQ 143
        Memory at 90000000 (64-bit, non-prefetchable) [size=16M]
        Memory at 80000000 (64-bit, prefetchable) [size=256M]
        I/O ports at 2000 [size=64]
        [virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
        Capabilities: [d0] Power Management version 2
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [b0] Vendor Specific Information: Len=07 <?>
        Kernel driver in use: i915
        Kernel modules: i915

Errors

[242152.699758] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=170095 end=170096) time 160 us, min 763, max 767, scanline start 761, end 768
[242511.960981] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=191641 end=191642) time 338 us, min 763, max 767, scanline start 751, end 752
[244011.384298] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=281566 end=281567) time 375 us, min 763, max 767, scanline start 754, end 772
[247211.704170] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=58304 end=58305) time 281 us, min 763, max 767, scanline start 760, end 774
[249008.294125] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=166051 end=166052) time 261 us, min 763, max 767, scanline start 757, end 770
[253454.108239] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=66872 end=66873) time 306 us, min 763, max 767, scanline start 761, end 776
Comment 22 Victor Trac 2016-09-27 13:58:57 UTC
I have this issue, and psr is not enabled on my machine (dell xps 13 9350 skylake): 

[root@callisto ~]# cat /sys/kernel/debug/dri/0/i915_edp_psr_status
Sink_Support: yes
Source_OK: no
Enabled: no
Active: no
Busy frontbuffer bits: 0x000
Re-enable work scheduled: no
Main link in standby mode: no
HW Enabled & Active bit: no
[root@callisto ~]# cat /sys/module/i915/parameters/enable_psr 
0
Comment 23 Eugene 2016-09-30 14:06:26 UTC
The save messages on my old desktops:

$ dmesg | grep -i error
[    2.508824] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=9 end=3362197174) time 9 us, min 1017, max 1023, scanline start 1027, end 1023

$ lspci | grep -i vga
00:02.0 VGA compatible controller: Intel Corporation 82865G Integrated Graphics Controller (rev 02)

$ uname -a
Linux q35 4.8.0-994-generic #201609300009 SMP Fri Sep 30 04:11:41 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

xserver-xorg-video-intel: 2.99.917+git20160325-1ubuntu1.1
Comment 24 mattia.b89 2016-10-08 15:49:49 UTC
me too, my Dell XPS 13 (9343, broadwell) is affected!

honestly, I started seeing RANDOMLY this issue since 2 or 3 months

latest software from official Arch Linux repos and latest linux-ck kernel

---   ---   ---   ---   ---

dmesg errors look aslmost the same as others, anyway:

[ 4427.089764] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=146309 end=146310) time 179 us, min 1073, max 1079, scanline start 1071, end 1084
[ 6777.798336] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=287353 end=287354) time 133 us, min 1073, max 1079, scanline start 1070, end 1080
[ 7753.105208] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=345872 end=345873) time 502 us, min 1073, max 1079, scanline start 1069, end 1103
[ 7878.153783] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=353375 end=353376) time 339 us, min 1073, max 1079, scanline start 1072, end 1095
[25991.169769] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=709922 end=709923) time 294 us, min 1073, max 1079, scanline start 1072, end 1092
[26449.255028] usb 1-1: unexpected tiny rx frame
[27421.702461] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=795755 end=795756) time 152 us, min 1073, max 1079, scanline start 1070, end 1080
Comment 25 sippierobert 2016-10-09 09:16:45 UTC
For me this message was spammed to dmesg in 4.7.2, 4.7.4 and 4.8.0 kernels. I also experienced flickering in Chromium. i915.enable_psr 0/1 had no effect.

However, downgrading to 4.6.7 kernel fixed both issues (as of 1 day of usage).

This is desktop PC with i5-4670K using integrated graphics.

x11-drivers/xf86-video-intel 2.99.917_p20160829

$ lspci | grep -i vga
00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller (rev 06)

CPU0: Intel(R) Core(TM) i5-4670K CPU @ 3.40GHz (family: 0x6, model: 0x3c, stepping: 0x3)
Comment 26 Maarten Lankhorst 2016-10-19 07:38:18 UTC
Weird, does it happen on unpatched v4.7.0? might be useful to bisect
Comment 27 sippierobert 2016-10-28 12:13:57 UTC
Tested 4.7.0 and was excited to find clean dmesg.

But then after testing 4.7.2 (and 4.8.0) again, it turns out that now I can't reproduce the problem anymore, where as previously I would get the dmesg spam right away after boot.

I can't think of anything obvious that would've changed between now and then.
Comment 28 sagi 2016-10-29 21:59:53 UTC
I have the same error in dmesg:

drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=1894 end=1895) time 239 us, min 1073, max 1079, scanline start 1063, end 1080

Screen flicker every now and then; quickly changing workspaces usually silences the flicker for a while. This is kernel 4.7.8 on Debian testing (linux-image-4.7.0-1-amd64) on a Dell XPS 13 9343 (Broadwell).

I also get:

[drm:gen8_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

No idea if they're related. Please let me know if there is any additional information that'd be helpful to provide.
Comment 29 Josef Schlehofer 2016-10-30 23:06:00 UTC
Hello,
Don't know if my comment will help you, guys.
But I have same issue on Lenovo N22 - Intel N3060 (ChromeOS) and I mention it also here: https://bugs.chromium.org/p/chromium/issues/detail?id=660205

I will be really happy when this thing gets fixed :-)
Comment 30 Jim 2016-11-03 01:41:54 UTC
This bug has, for me been around since 4.7.0. 4.6.7 and mesa 11.2.2 is the only combination that is solid - no regressions. There is another issue as well that never got fixed - it just disappeared for a while (a GPU hang I reported earlier).

My problems are on old hardware but I see newer hardware is not immune.
I stick with 4.6.7 and mesa 11.2.2 and back port any security fixes. Rock solid.
Comment 31 Jim 2016-11-03 02:22:00 UTC
forgot to add "Atomic update failure on pipe A" is present on 4.9-rc3
Comment 32 Michael Vorburger 2016-11-03 11:14:42 UTC
FYI I think this is somehow related to bug 94337, I regularly hit this and always see the error from this bug here and the one from that bug together; more details in comment https://bugs.freedesktop.org/show_bug.cgi?id=94337#c12.
Comment 33 Ville Syrjala 2016-11-08 15:11:11 UTC
There are presumably two problems mixed up in this bug:

1) PSR/DMC problems, which result in bogus looking numbers in the debug output

[drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=301707 end=301708) time 1 us, min 1073, max 1079, scanline start 1088, end 1080

Fixing this requires avoiding PSR and/or DC5/6 while we need vblanks, and we need to deal with the hardware resetting various counters on DC5/6 entry. There have been some patches posted but nothing went in so far AFAICS.

2) Actual vblank evade problems, which result in numbers that make sense, just we take way too long to do things

[ 4427.089764] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=146309 end=146310) time 179 us, min 1073, max 1079, scanline start 1071, end 1084

This is most likely a regression from the improved gamma table stuff since we're now programming the gamma table(s) during the vblank evasion critical section, which is pretty bogus since those registers aren't even double buffered. I pointed this out but apparently no cared, and so the patches went in anyway. The fix would involve moving the programming to a better spot.
Comment 34 Jim 2016-11-10 05:17:53 UTC
(In reply to Ville Syrjala from comment #33)
> There are presumably two problems mixed up in this bug:
> 
> 1) PSR/DMC problems, which result in bogus looking numbers in the debug
> output
> 
> [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A
> (start=301707 end=301708) time 1 us, min 1073, max 1079, scanline start
> 1088, end 1080
> 
> Fixing this requires avoiding PSR and/or DC5/6 while we need vblanks, and we
> need to deal with the hardware resetting various counters on DC5/6 entry.
> There have been some patches posted but nothing went in so far AFAICS.
> 
> 2) Actual vblank evade problems, which result in numbers that make sense,
> just we take way too long to do things
> 
> [ 4427.089764] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update
> failure on pipe A (start=146309 end=146310) time 179 us, min 1073, max 1079,
> scanline start 1071, end 1084
> 
> This is most likely a regression from the improved gamma table stuff since
> we're now programming the gamma table(s) during the vblank evasion critical
> section, which is pretty bogus since those registers aren't even double
> buffered. I pointed this out but apparently no cared, and so the patches
> went in anyway. The fix would involve moving the programming to a better
> spot.

commit numbers? Thanks you for the info.
Comment 35 arliweng 2016-12-01 12:59:35 UTC
Created attachment 128299 [details]
dump /sys/class/drm/card0/error

i have problem look like this today..

$ lspci |grep VGA
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 530 (rev 06)

$ uname -r
4.8.8-2-ARCH

$ pacman -Qi xf86-video-intel
Name            : xf86-video-intel
Version         : 1:2.99.917+730+gdad64e9-1
Description     : X.org Intel i810/i830/i915/945G/G965+ video drivers
Architecture    : x86_64

$ pacman -Qi mesa
Name            : mesa
Version         : 13.0.1-1
Description     : an open-source implementation of the OpenGL specification
Architecture    : x86_64

$ cat /etc/X11/xorg.conf.d/40-arli-vga.conf 
Section "Device"
   Identifier  "GPU-0"
   Driver      "intel"
	Option      "TearFree"    "true"
EndSection

$ demsg
[15976.635573] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=424643 end=424644) time 268 us, min 1073, max 1079, scanline start 1063, end 1081
[20106.849353] usb 1-5: new high-speed USB device number 4 using xhci_hcd
[20738.067020] [drm] GPU HANG: ecode 9:0:0x84dffff8, in Xorg [334], reason: Hang on render ring, action: reset
[20738.067022] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[20738.067024] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[20738.067025] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[20738.067026] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[20738.067028] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[20738.067123] drm/i915: Resetting chip after gpu hang
[20738.067354] [drm] GuC firmware load skipped
[20739.984386] [drm] RC6 on
[20748.091046] drm/i915: Resetting chip after gpu hang
[20748.093230] [drm] GuC firmware load skipped
[20750.011403] [drm] RC6 on

# about /sys/class/drm/card0/error dump see attachment
Comment 36 kYuZz 2016-12-08 16:15:12 UTC
Same issue on my Dell 9350 laptop.

$ lspci | grep -i vga     
00:02.0 VGA compatible controller: Intel Corporation Iris Graphics 540 (rev 0a)

$ lsb_release -d
Description:    Ubuntu 16.10

$ uname -r
4.8.0-30-generic

$ dpkg -l | grep video-intel
ii  xserver-xorg-video-intel                              2:2.99.917+git20160706-1ubuntu1
Comment 37 Jani Saarinen 2016-12-09 08:59:07 UTC
Is this seen still? And if, what platform this issue is? 
Latest update Iris Graphics 540 is SKL but there are other mentioned int he bug too.
Comment 38 Leho Kraav (:macmaN :lkraav) 2016-12-09 10:50:31 UTC
(In reply to Jani Saarinen from comment #37)
> Is this seen still? And if, what platform this issue is? 
> Latest update Iris Graphics 540 is SKL but there are other mentioned int he
> bug too.

Yes, all the time.

dets  08 23:57:49 papaya kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=1514869 end=1514870) time 1 us, min 1073, max 1079, scanline start 1088, end 1080

I'm on Dell E7440 Haswell, 4.9.0-rc6.
Comment 39 Jani Saarinen 2016-12-09 11:17:06 UTC
Lets keep this HSW bug then.
Comment 40 Maarten Lankhorst 2016-12-13 14:55:25 UTC
Created attachment 128451 [details] [review]
Move LUT until after vblank evasion.

Does this fix the bug for those that have the issue with vblank taking a long time? 100+ us.
Comment 41 Ander Conselvan de Oliveira 2017-01-24 13:11:08 UTC
(In reply to Maarten Lankhorst from comment #40)
> Created attachment 128451 [details] [review] [review]
> Move LUT until after vblank evasion.
> 
> Does this fix the bug for those that have the issue with vblank taking a
> long time? 100+ us.

I gave this patch a try using the kms_pipe_color color igt test. In a 100 runs of the ctm-red-to-blue-pipe0, without this patch I would get the "Atomic update failure" message roughly 5. With the patch I haven't seen the message, even after repeating the experiment a few times.
Comment 42 Ville Syrjala 2017-02-10 17:34:31 UTC
The bad location of the gamma programming also causes the following spew on VLV/CHV+DSI on account of assert_dsi_pll() needing to grab the sideband mutex.

[  325.057384] BUG: sleeping func
tion called from invalid context at ../kernel/locking/mutex.c:730
[  325.067116] in_atomic(): 0, irqs_disabled(): 1, pid: 6265, name: Xorg
[  325.074314] 3 locks held by Xorg/6265:
[  325.078497]  #0: [  325.080447]  (
&dev->mode_config.mutex[  325.084536] ){+.+.+.}
, at: [  325.087684] [<ffffffffa02b71f0>] drm_modeset_lock_all+0x40/0x120 [drm]
[  325.094979]  #1: [  325.096928]  (
crtc_ww_class_acquire[  325.100830] ){+.+.+.}
, at: [  325.103970] [<ffffffffa02b71fa>] drm_modeset_lock_all+0x4a/0x120 [drm]
[  325.111266]  #2: [  325.113207]  (
crtc_ww_class_mutex[  325.116912] ){+.+.+.}
, at: [  325.120054] [<ffffffffa02b6efb>] drm_modeset_lock+0x3b/0x130 [drm]
[  325.126961] irq event stamp: 102102
[  325.130846] hardirqs last  enabled at (102101): [  325.135811] [<ffffffff81641588>] _raw_spin_unlock_irqrestore+0x58
/0x70
[  325.143106] hardirqs last disabled at (102102): [  325.148109] [<ffffffffa03959f4>] intel_pipe_update_start+0xa4/0x4
70 [i915]
[  325.155792] softirqs last  enabled at (101960): [  325.160783] [<ffffffffa0340385>] __i915_add_request+0x1b5/0x440 [
i915]
[  325.168078] softirqs last disabled at (101954): [  325.173069] [<ffffffffa0340385>] __i915_add_request+0x1b5/0x440 [
i915]
[  325.180367] CPU: 1 PID: 6265 Comm: Xorg Tainted: G        W       4.9.0-rc2-ffrd+ #545
[  325.189215] Hardware name: Intel Corp. VALLEYVIEW C0 PLATFORM/BYT-T FFD8, BIOS BLAKFF81.X64.0088.R10.1403240443 FFD8
_X64_R_2014_13_1_00 03/24/2014
[  325.203892]  ffffc90002c9f8e8 ffffffff81342777 0000000000000000 ffff88006eeb94c0
[  325.212180]  ffffc90002c9f920 ffffffff810b0e0c ffffffff819ad3d8 00000000000002da
[  325.220458]  0000000000000000 ffff880070058000 ffff88006eeb94c0 ffffc90002c9f948
[  325.228737] Call Trace:
[  325.231471]  [<ffffffff81342777>] dump_stack+0x67/0x90
[  325.237214]  [<ffffffff810b0e0c>] ___might_sleep+0x16c/0x260
[  325.243537]  [<ffffffff810b0f4c>] __might_sleep+0x4c/0x90
[  325.249569]  [<ffffffff8163c45d>] mutex_lock_nested+0x3d/0x440
[  325.256087]  [<ffffffff810d1cfa>] ? __lock_is_held+0x4a/0x70
[  325.262441]  [<ffffffffa0374f68>] assert_dsi_pll+0x28/0xd0 [i915]
[  325.269281]  [<ffffffffa0363a87>] i9xx_load_luts_internal+0x47/0x1d0 [i915]
[  325.277092]  [<ffffffffa0363c2b>] i9xx_load_luts+0x1b/0x20 [i915]
[  325.283932]  [<ffffffffa0364465>] intel_color_load_luts+0x15/0x20 [i915]
[  325.291451]  [<ffffffffa0369c44>] intel_begin_crtc_commit+0x84/0x200 [i915]
[  325.299243]  [<ffffffffa023e4ca>] drm_atomic_helper_commit_planes_on_crtc+0x5a/0x270 [drm_kms_helper]
[  325.309581]  [<ffffffffa0379bd3>] intel_update_crtc+0x93/0x100 [i915]
[  325.316809]  [<ffffffffa0379cab>] intel_update_crtcs+0x6b/0x90 [i915]
[  325.324038]  [<ffffffffa037a3d5>] intel_atomic_commit_tail+0x325/0x1030 [i915]
[  325.332110]  [<ffffffff810d1cfa>] ? __lock_is_held+0x4a/0x70
[  325.338466]  [<ffffffffa037b613>] intel_atomic_commit+0x533/0x600 [i915]
[  325.345963]  [<ffffffffa02bd4e2>] ? drm_property_reference_blob+0x12/0x20 [drm]
[  325.354146]  [<ffffffffa02b820b>] drm_atomic_commit+0x4b/0x50 [drm]
[  325.361157]  [<ffffffffa023e065>] drm_atomic_helper_legacy_gamma_set+0x155/0x1a0 [drm_kms_helper]
[  325.371105]  [<ffffffffa0368f89>] intel_atomic_legacy_gamma_set+0x19/0xa0 [i915]
[  325.379385]  [<ffffffffa02bfcd5>] drm_mode_gamma_set_ioctl+0x195/0x1a0 [drm]
[  325.387276]  [<ffffffffa02a3039>] drm_ioctl+0x209/0x460 [drm]
[  325.393710]  [<ffffffffa02bfb40>] ? drm_mode_crtc_set_gamma_size+0xa0/0xa0 [drm]
[  325.401979]  [<ffffffff810f5970>] ? rcu_lockdep_current_cpu_online+0x60/0x80
[  325.409857]  [<ffffffff810d1cfa>] ? __lock_is_held+0x4a/0x70
[  325.416182]  [<ffffffff81214803>] do_vfs_ioctl+0x93/0x6b0
[  325.422215]  [<ffffffff81221e73>] ? __fget+0x113/0x200
[  325.427955]  [<ffffffff81221d65>] ? __fget+0x5/0x200
[  325.433501]  [<ffffffff81214e64>] SyS_ioctl+0x44/0x80
[  325.439145]  [<ffffffff81001e0e>] do_syscall_64+0x5e/0x350
[  325.445274]  [<ffffffff81641e24>] entry_SYSCALL64_slow_path+0x25/0x25
[  325.452934] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=20470 end=20494) time 
395258 us, min 1192, max 1199, scanline start 971, end 801
Comment 43 Dhinakaran Pandiyan 2017-02-15 05:39:29 UTC
(In reply to Ville Syrjala from comment #42)
> The bad location of the gamma programming also causes the following spew on
> VLV/CHV+DSI on account of assert_dsi_pll() needing to grab the sideband
> mutex.
> 
Is this result with Maarten's patch?
Comment 44 Martin Peres 2017-02-28 09:28:03 UTC
This bug has been seen on fi-skl-6700k in CI. It does not appear to be very probable to hit it though...
Comment 45 Carlo Cabanilla 2017-03-06 04:32:15 UTC
(In reply to Martin Peres from comment #44)
> This bug has been seen on fi-skl-6700k in CI. It does not appear to be very
> probable to hit it though...

I can consistently reproduce it when I try to drive an external monitor with my dell xps 13 even with i915.enable_psr=0.

Linux carlo-xps13-arch 4.9.11-1-ARCH #1 SMP PREEMPT Sun Feb 19 13:45:52 UTC 2017 x86_64 GNU/Linux
Comment 46 Mika Kahola 2017-03-07 08:10:06 UTC
the bug is present on lab-bxt-q6he in CI (4.11.0-rc1-CI-CI_DRM_2287)
Comment 47 Marcin Mielniczuk 2017-03-12 08:09:10 UTC
I have this in my dmesg on both xf86-video-intel and modesetting driver. 
This may be related to the recent mesa update on Arch Linux to 17.0.
Comment 48 Jani Nikula 2017-03-14 14:27:53 UTC
(In reply to Ville Syrjala from comment #42)
> The bad location of the gamma programming also causes the following spew on
> VLV/CHV+DSI on account of assert_dsi_pll() needing to grab the sideband
> mutex.
> 
> [  325.057384] BUG: sleeping func
> tion called from invalid context at ../kernel/locking/mutex.c:730

That's bug 99991, fixed now.
Comment 49 Jani Saarinen 2017-03-30 06:49:14 UTC
On bxt-q6he in CI (4.11.0-rc1-CI-CI_DRM_2287)has only seen once. 
Reporter is this still valid issue?
Comment 50 Jani Saarinen 2017-04-05 06:55:40 UTC
And system has been removed too from CI.
Comment 51 Jani Saarinen 2017-04-05 13:27:39 UTC
Hi, we were looking for data on CI for HSW+ systems after CI_DRM_2300 
meaning on all fi-{hsw,bdw,skl}-* systems. Asking again from reporters if issue is still seen on systems you have?
Comment 52 Jani Saarinen 2017-04-12 12:02:49 UTC
Hi,
I will make call here as no feedback. This issue is really old and hard to follow if we have still issues. Lets resolve this now and if we have issues on *ERROR* Atomic update failure on pipe X any any platform lets open new bug on just that platform.
Comment 53 Roberto Longobardi 2017-05-06 19:21:39 UTC
Hi all,
I'm facing the same issue on Fedora 25, with kernel 4.10.10-200.fc25.x86_64.

Anyway I don't have an Intel graphics card bu an NVidia 950M. 

Since my laptop (Asus K550V with Intel i7-6700HQ) is affected by several kernel issues, and following workarounds I found around, I had to set these Grub parameters:
* i915.enable_psr=0
* nouveau.modeset=0
* acpi_osi="!Windows 2015"

Anyway, I still find the following messages in dmesg.  BTW, I'm also currently facing random wi-fi connection and system freeze on shutdown issues.

[   28.062551] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=2194 end=2195) time 2619 us, min 1073, max 1079, scanline start 1011, end 85
[   81.412314] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=5395 end=5396) time 4600 us, min 1073, max 1079, scanline start 855, end 15
[  125.469167] hrtimer: interrupt took 1969367 ns
[  182.846133] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=11481 end=11482) time 2612 us, min 1073, max 1079, scanline start 971, end 44
[  282.012788] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=17431 end=17432) time 3285 us, min 1073, max 1079, scanline start 897, end 1072
[  429.629472] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=26288 end=26289) time 3922 us, min 1073, max 1079, scanline start 875, end 1093
[  461.830508] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=28220 end=28221) time 1971 us, min 1073, max 1079, scanline start 1067, end 98
[  584.164050] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=35560 end=35561) time 1967 us, min 1073, max 1079, scanline start 1057, end 88
[  871.513805] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=52801 end=52802) time 2053 us, min 1073, max 1079, scanline start 990, end 26
[ 1034.108511] perf: interrupt took too long (5379 > 2500), lowering kernel.perf_event_max_sample_rate to 37000
[ 1343.257818] INFO: NMI handler (perf_event_nmi_handler) took too long to run: 1.311 msecs
[ 1343.257820] perf: interrupt took too long (10529 > 6723), lowering kernel.perf_event_max_sample_rate to 18000
[ 1451.699955] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=87612 end=87613) time 1313 us, min 1073, max 1079, scanline start 1039, end 27
[ 1692.148283] perf: interrupt took too long (14249 > 13161), lowering kernel.perf_event_max_sample_rate to 14000
[ 1693.100246] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=102096 end=102097) time 2614 us, min 1073, max 1079, scanline start 1017, end 91
[ 1693.401235] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=102114 end=102115) time 3921 us, min 1073, max 1079, scanline start 994, end 154
[ 1693.850177] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=102141 end=102142) time 3288 us, min 1073, max 1079, scanline start 926, end 44
[ 1704.782823] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=102797 end=102798) time 1476 us, min 1073, max 1079, scanline start 1040, end 38
[ 1751.299169] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=105588 end=105589) time 649 us, min 1073, max 1079, scanline start 1065, end 8
Comment 54 Dan Kasak 2017-06-19 03:05:17 UTC
I get this too ... all the time ... see how often:

---

[Sun Jun 18 15:47:57 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=614597 end=614598) time 157 us, min 1431, max 1439, scanline start 1427, end 1442
[Sun Jun 18 15:47:58 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=614651 end=614652) time 690 us, min 1431, max 1439, scanline start 1421, end 2
[Sun Jun 18 15:47:59 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=614741 end=614742) time 205 us, min 1431, max 1439, scanline start 1430, end 1447
[Sun Jun 18 15:48:07 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=615217 end=615218) time 303 us, min 1431, max 1439, scanline start 1413, end 1440
[Sun Jun 18 15:48:57 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=618201 end=618202) time 119 us, min 1431, max 1439, scanline start 1429, end 1439
[Sun Jun 18 15:49:21 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=622693 end=622694) time 529 us, min 1073, max 1079, scanline start 1046, end 1080
[Sun Jun 18 15:49:50 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=621373 end=621374) time 328 us, min 1431, max 1439, scanline start 1418, end 1448
[Sun Jun 18 15:50:12 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=622711 end=622712) time 178 us, min 1431, max 1439, scanline start 1430, end 1446
[Sun Jun 18 15:50:16 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=626021 end=626022) time 408 us, min 1073, max 1079, scanline start 1058, end 1083
[Sun Jun 18 15:51:08 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=629134 end=629135) time 509 us, min 1073, max 1079, scanline start 1065, end 1091
[Sun Jun 18 15:51:17 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=626593 end=626594) time 662 us, min 1431, max 1439, scanline start 1416, end 1464
[Sun Jun 18 15:51:19 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=629818 end=629819) time 3397 us, min 1073, max 1079, scanline start 932, end 46
[Sun Jun 18 15:52:09 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=629690 end=629691) time 214 us, min 1431, max 1439, scanline start 1427, end 1441
[Sun Jun 18 15:52:27 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=633851 end=633852) time 646 us, min 1073, max 1079, scanline start 1057, end 1099
[Sun Jun 18 15:52:54 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=635479 end=635480) time 932 us, min 1073, max 1079, scanline start 1031, end 1084
[Sun Jun 18 15:53:43 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=635331 end=635332) time 290 us, min 1431, max 1439, scanline start 1419, end 1445
[Sun Jun 18 15:54:07 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=639896 end=639897) time 1043 us, min 1073, max 1079, scanline start 1046, end 1104
[Sun Jun 18 15:54:09 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=636866 end=636867) time 334 us, min 1431, max 1439, scanline start 1427, end 1450
[Sun Jun 18 15:54:20 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=640688 end=640689) time 198 us, min 1073, max 1079, scanline start 1069, end 1082
[Sun Jun 18 15:54:24 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=640889 end=640890) time 238 us, min 1073, max 1079, scanline start 1071, end 1088
[Sun Jun 18 15:55:09 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=640506 end=640507) time 242 us, min 1431, max 1439, scanline start 1423, end 1444
[Sun Jun 18 15:55:22 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=644363 end=644364) time 154 us, min 1073, max 1079, scanline start 1072, end 1078
[Sun Jun 18 15:59:01 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=654410 end=654411) time 592 us, min 1431, max 1439, scanline start 1390, end 1437
[Sun Jun 18 16:00:55 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=664385 end=664386) time 401 us, min 1073, max 1079, scanline start 1067, end 1093
[Sun Jun 18 16:01:45 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=667384 end=667385) time 146 us, min 1073, max 1079, scanline start 1071, end 1080
[Sun Jun 18 16:02:57 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=668571 end=668572) time 336 us, min 1431, max 1439, scanline start 1422, end 1453
[Sun Jun 18 16:03:48 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=671603 end=671604) time 230 us, min 1431, max 1439, scanline start 1426, end 1446
[Sun Jun 18 16:03:54 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=675085 end=675086) time 307 us, min 1073, max 1079, scanline start 1065, end 1085
[Sun Jun 18 16:05:36 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=678084 end=678085) time 439 us, min 1431, max 1439, scanline start 1427, end 1466
[Sun Jun 18 16:05:56 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=679284 end=679285) time 143 us, min 1431, max 1439, scanline start 1428, end 1441
[Sun Jun 18 16:06:09 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=683225 end=683226) time 220 us, min 1073, max 1079, scanline start 1071, end 1084
[Sun Jun 18 16:08:41 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=689178 end=689179) time 261 us, min 1431, max 1439, scanline start 1419, end 1440
[Sun Jun 18 16:08:42 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=692415 end=692416) time 531 us, min 1073, max 1079, scanline start 1051, end 1086
[Sun Jun 18 16:10:09 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=697611 end=697612) time 223 us, min 1073, max 1079, scanline start 1067, end 1080
[Sun Jun 18 16:10:30 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=695697 end=695698) time 344 us, min 1431, max 1439, scanline start 1413, end 1440
[Sun Jun 18 16:10:30 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=698872 end=698873) time 338 us, min 1073, max 1079, scanline start 1070, end 1090
[Sun Jun 18 16:11:08 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=698008 end=698009) time 726 us, min 1431, max 1439, scanline start 1377, end 1385
[Sun Jun 18 16:11:25 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=699023 end=699024) time 143 us, min 1431, max 1439, scanline start 1429, end 1440
[Sun Jun 18 16:14:52 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=714609 end=714610) time 669 us, min 1073, max 1079, scanline start 1050, end 1095
[Sun Jun 18 16:15:08 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=715555 end=715556) time 856 us, min 1073, max 1079, scanline start 1024, end 1070
[Sun Jun 18 16:15:48 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=717976 end=717977) time 242 us, min 1073, max 1079, scanline start 1072, end 1088
[Sun Jun 18 16:16:47 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=718325 end=718326) time 548 us, min 1431, max 1439, scanline start 1411, end 1460
[Sun Jun 18 16:16:55 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=721996 end=721997) time 715 us, min 1073, max 1079, scanline start 1042, end 1078
[Sun Jun 18 16:17:25 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=723787 end=723788) time 388 us, min 1073, max 1079, scanline start 1059, end 1086
[Sun Jun 18 16:18:18 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=726973 end=726974) time 676 us, min 1073, max 1079, scanline start 1050, end 1094
[Sun Jun 18 16:19:02 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=729631 end=729632) time 582 us, min 1073, max 1079, scanline start 1050, end 1084
[Sun Jun 18 16:21:17 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=737694 end=737695) time 145 us, min 1073, max 1079, scanline start 1071, end 1080
[Sun Jun 18 16:21:49 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=739621 end=739622) time 270 us, min 1073, max 1079, scanline start 1069, end 1086
[Sun Jun 18 16:22:16 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=741240 end=741241) time 402 us, min 1073, max 1079, scanline start 1059, end 1082
[Sun Jun 18 16:22:22 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=741598 end=741599) time 284 us, min 1073, max 1079, scanline start 1068, end 1086
[Sun Jun 18 16:22:49 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=743239 end=743240) time 237 us, min 1073, max 1079, scanline start 1070, end 1084
[Sun Jun 18 16:23:25 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=742141 end=742142) time 334 us, min 1431, max 1439, scanline start 1415, end 1442
[Sun Jun 18 16:25:40 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=750236 end=750237) time 3082 us, min 1431, max 1439, scanline start 1172, end 1445
[Sun Jun 18 16:26:56 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=758041 end=758042) time 181 us, min 1073, max 1079, scanline start 1070, end 1081
[Sun Jun 18 16:27:24 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=759720 end=759721) time 570 us, min 1073, max 1079, scanline start 1068, end 1107
[Sun Jun 18 16:32:35 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=778408 end=778409) time 2611 us, min 1073, max 1079, scanline start 1057, end 117
[Sun Jun 18 16:32:41 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=775523 end=775524) time 635 us, min 1431, max 1439, scanline start 1421, end 1476
[Sun Jun 18 16:33:00 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=779927 end=779928) time 280 us, min 1073, max 1079, scanline start 1068, end 1087
[Sun Jun 18 16:36:14 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=791567 end=791568) time 530 us, min 1073, max 1079, scanline start 1065, end 1093
[Sun Jun 18 16:37:38 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=793289 end=793290) time 385 us, min 1431, max 1439, scanline start 1424, end 1452
[Sun Jun 18 16:38:22 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=795958 end=795959) time 250 us, min 1431, max 1439, scanline start 1430, end 1451
[Sun Jun 18 16:39:34 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=803557 end=803558) time 840 us, min 1073, max 1079, scanline start 1052, end 1099
[Sun Jun 18 16:40:46 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=807891 end=807892) time 300 us, min 1073, max 1079, scanline start 1067, end 1086
[Sun Jun 18 16:41:14 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=806236 end=806237) time 115 us, min 1431, max 1439, scanline start 1430, end 1440
[Sun Jun 18 16:43:09 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=813131 end=813132) time 598 us, min 1431, max 1439, scanline start 1406, end 1464
[Sun Jun 18 16:43:42 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=818431 end=818432) time 687 us, min 1073, max 1079, scanline start 1063, end 1108
[Sun Jun 18 16:43:42 2017] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=815117 end=815118) time 668 us, min 1431, max 1439, scanline start 1399, end 1459

---

Linux gandalf 4.11.5-rt1 #1 SMP PREEMPT RT Sat Jun 17 17:46:15 AEST 2017 x86_64 Intel(R) Core(TM) i7-6600U CPU @ 2.60GHz GenuineIntel GNU/Linux

Device: Mesa DRI Intel(R) HD Graphics 520 (Skylake GT2)  (0x1916)

---

Re-opening ...
Comment 55 sheepdestroyer 2017-07-06 12:25:04 UTC
Same bug here for me on Thinkpad X220 with IvyBridge and Fedora 26 :


[drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe C (start=2110063 end=2110064) time 206 us, min 1073, max 1079, scanline start 1066, end 1080


[sheepdestroyer@sheepora-X230 ~]$ uname -r
4.11.8-300.fc26.x86_64
Comment 56 Elizabeth 2017-07-27 16:25:22 UTC
*** Bug 95632 has been marked as a duplicate of this bug. ***
Comment 57 syphyr 2017-08-01 01:18:47 UTC
This recently started to occur on my HP Laptop with an Intel i5 under heavy load.

[ 2255.174234] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=135734 end=135735) time 167 us, min 1073, max 1079, scanline start 1071, end 1082

00:02.0 VGA compatible controller: Intel Corporation Sky Lake Integrated Graphics (rev 07)

I noticed this error with the 4.12.3 kernel.
Comment 58 Elizabeth 2017-08-07 17:00:35 UTC
(In reply to syphyr from comment #57)
> This recently started to occur on my HP Laptop with an Intel i5 under heavy
> load.
> 
> [ 2255.174234] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update
> failure on pipe A (start=135734 end=135735) time 167 us, min 1073, max 1079,
> scanline start 1071, end 1082
> 
> 00:02.0 VGA compatible controller: Intel Corporation Sky Lake Integrated
> Graphics (rev 07)
> 
> I noticed this error with the 4.12.3 kernel.
Hello Syphyr,
Could you please reproduce with the latest kernel version with drm.debug=0xe parameter on grub and attach full dmesg?
Thank you.
Comment 59 Arcadiy Ivanov 2017-08-14 01:05:11 UTC
Hi Elizabeth,

Thanks so much for looking at this!

The issue presents itself on 4.12.5-300 Fedora 26 as well.

Base Board Information
        Manufacturer: Dell Inc.
        Product Name: 0M91XC
        Version: A00
System Information
        Manufacturer: Dell Inc.
        Product Name: Precision 7510
BIOS Information
        Vendor: Dell Inc.
        Version: 1.13.6
        Release Date: 06/21/2017

00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Host Bridge/DRAM Registers (rev 07)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor PCIe Controller (x16) (rev 07)
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 530 (rev 06)
00:04.0 Signal processing controller: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Thermal Subsystem (rev 07)
00:14.0 USB controller: Intel Corporation Sunrise Point-H USB 3.0 xHCI Controller (rev 31)
00:14.2 Signal processing controller: Intel Corporation Sunrise Point-H Thermal subsystem (rev 31)
00:16.0 Communication controller: Intel Corporation Sunrise Point-H CSME HECI #1 (rev 31)
00:17.0 SATA controller: Intel Corporation Sunrise Point-H SATA controller [AHCI mode] (rev 31)
00:1c.0 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #2 (rev f1)
00:1c.2 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #3 (rev f1)
00:1c.4 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #5 (rev f1)
00:1d.0 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #9 (rev f1)
00:1f.0 ISA bridge: Intel Corporation Sunrise Point-H LPC Controller (rev 31)
00:1f.2 Memory controller: Intel Corporation Sunrise Point-H PMC (rev 31)
00:1f.3 Audio device: Intel Corporation Sunrise Point-H HD Audio (rev 31)
00:1f.4 SMBus: Intel Corporation Sunrise Point-H SMBus (rev 31)
00:1f.6 Ethernet controller: Intel Corporation Ethernet Connection (2) I219-LM (rev 31)
01:00.0 VGA compatible controller: NVIDIA Corporation GM107GLM [Quadro M2000M] (rev a2)
02:00.0 Network controller: Intel Corporation Wireless 8260 (rev 3a)
03:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS525A PCI Express Card Reader (rev 01)
3d:00.0 Non-Volatile memory controller: Samsung Electronics Co Ltd NVMe SSD Controller SM951/PM951 (rev 01)
Comment 60 Arcadiy Ivanov 2017-08-14 01:06:46 UTC
Created attachment 133480 [details]
with drm.debug=0xe
Comment 61 Elizabeth 2017-08-14 21:26:29 UTC
(In reply to Arcadiy Ivanov from comment #59)
> The issue presents itself on 4.12.5-300 Fedora 26 as well.
Thanks for sharing the information Arcadiy. 
Changing to REOPEN for continuation.
Comment 63 syphyr 2017-08-28 02:04:18 UTC
(In reply to syphyr from comment #62)
> I am unable to reproduce the error since picking this:
> 
> https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git/
> commit/?h=v4.12.9&id=2149506faff17258aef239703b97f908291e8c13

Sorry, I take that back. I still see an error message in the logs, even with this commit above applied.

[drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=195160 end=195161) time 327 us, min 1073, max 1079, scanline start 1058, end 1081


I will try to get some logs.
Comment 64 Arcadiy Ivanov 2017-08-28 22:39:28 UTC
My issue went away completely so far with 4.12.8:

BOOT_IMAGE=/vmlinuz-4.12.8-300.fc26.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rd.driver.blacklist=nouveau rd.driver.blacklist=psmouse i915.enable_guc_loading=1 i915.enable_guc_submission=1 intel_pstate=skylake_hwp i915.enable_psr=1 i915.disable_power_well=0 nouveau.modeset=0 rhgb quiet LANG=en_US.UTF-8
Comment 65 syphyr 2017-08-29 02:20:21 UTC
I have been able to reproduce the error with kernel 4.12.9:

https://vomitb.in/cptm53M3GH

[SNIP]
[15499.129935] [drm:intel_atomic_commit_tail [i915]] [ENCODER:47:DDI A]
[15499.130025] [drm:intel_atomic_commit_tail [i915]] [ENCODER:56:DDI B]
[15499.130163] [drm:intel_atomic_commit_tail [i915]] [ENCODER:59:DDI C]
[15499.130249] [drm:intel_atomic_commit_tail [i915]] [ENCODER:61:DP-MST A]
[15499.130336] [drm:intel_atomic_commit_tail [i915]] [ENCODER:62:DP-MST B]
[15499.130409] [drm:intel_atomic_commit_tail [i915]] [ENCODER:63:DP-MST C]
[15499.130500] [drm:verify_single_dpll_state.isra.110 [i915]] DPLL 0
[15499.130586] [drm:verify_single_dpll_state.isra.110 [i915]] DPLL 1
[15499.130671] [drm:verify_single_dpll_state.isra.110 [i915]] DPLL 2
[15499.130756] [drm:verify_single_dpll_state.isra.110 [i915]] DPLL 3
[15499.130858] [drm:intel_enable_shared_dpll [i915]] enable DPLL 0 (active 1, on? 0) for crtc 32
[15499.130953] [drm:intel_enable_shared_dpll [i915]] enabling DPLL 0
[15499.131074] [drm:edp_panel_on [i915]] Turn eDP port A panel power on
[15499.131176] [drm:wait_panel_power_cycle [i915]] Wait for panel power cycle
[15499.131329] [drm:wait_panel_status [i915]] mask b800000f value 00000000 status 00000000 control 00000000
[15499.131431] [drm:wait_panel_status [i915]] Wait complete
[15499.131558] [drm:edp_panel_on [i915]] Wait for panel power on
[15499.131634] [drm:wait_panel_status [i915]] mask b000000f value 80000008 status 9000000a control 00000003
[15499.232650] [drm:intel_get_hpd_pins [i915]] hotplug event received, stat 0x01000000, dig 0x12101010, pins 0x00000010
[15499.232761] [drm:intel_hpd_irq_handler [i915]] digital hpd port A - long
[15499.232860] [drm:intel_hpd_irq_handler [i915]] Received HPD interrupt on PIN 4 - cnt: 0
[15499.233027] [drm:intel_dp_hpd_pulse [i915]] ignoring long hpd on eDP port A
[15499.332905] [drm:wait_panel_status [i915]] Wait complete
[15499.332995] [drm:intel_power_well_enable [i915]] enabling DDI A/E IO power well
[15499.333071] [drm:skl_set_power_well [i915]] Enabling DDI A/E IO power well
[15499.333192] [drm:edp_panel_vdd_on [i915]] Turning eDP port A VDD on
[15499.333327] [drm:edp_panel_vdd_on [i915]] PP_STATUS: 0x80000008 PP_CONTROL: 0x0000000b
[15499.334602] [drm:intel_dp_set_signal_levels [i915]] Using signal levels 00000000
[15499.334697] [drm:intel_dp_set_signal_levels [i915]] Using vswing level 0
[15499.334784] [drm:intel_dp_set_signal_levels [i915]] Using pre-emphasis level 0
[15499.334866] [drm:intel_dp_program_link_training_pattern [i915]] Using DP training pattern TPS1
[15499.335624] [drm:intel_dp_start_link_train [i915]] clock recovery OK
[15499.335699] [drm:intel_dp_program_link_training_pattern [i915]] Using DP training pattern TPS2
[15499.336745] [drm:intel_dp_start_link_train [i915]] Channel EQ done. DP Training successful
[15499.337172] [drm:intel_enable_pipe [i915]] enabling pipe A
[15499.337287] [drm:intel_edp_backlight_on.part.25 [i915]] 
[15499.337368] [drm:intel_panel_enable_backlight [i915]] pipe A
[15499.337502] [drm:intel_panel_actually_set_backlight [i915]] set backlight PWM = 739
[15499.342260] [drm:intel_psr_enable [i915]] PSR not supported by this panel
[15499.342364] [drm:intel_edp_drrs_enable [i915]] Panel doesn't support DRRS
[15499.354225] [drm:verify_connector_state.isra.80 [i915]] [CONNECTOR:48:eDP-1]
[15499.354342] [drm:intel_atomic_commit_tail [i915]] [CRTC:32:pipe A]
[15499.354464] [drm:verify_single_dpll_state.isra.110 [i915]] DPLL 0
[15499.371017] [drm:intel_backlight_device_update_status [i915]] updating intel_backlight, brightness=739/937
[15499.371123] [drm:intel_panel_actually_set_backlight [i915]] set backlight PWM = 739
[15502.362297] [drm:edp_panel_vdd_off_sync [i915]] Turning eDP port A VDD off
[15502.362443] [drm:edp_panel_vdd_off_sync [i915]] PP_STATUS: 0x80000008 PP_CONTROL: 0x00000007
[15502.362520] [drm:intel_power_well_disable [i915]] disabling DC off
[15502.362596] [drm:skl_enable_dc6 [i915]] Enabling DC6
[15502.362667] [drm:gen9_set_dc_state [i915]] Setting DC state from 00 to 02
[24504.516217] input: 00:1E:7C:35:C3:80 as /devices/virtual/input/input18
[26472.201979] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=658529 end=658530) time 161 us, min 1073, max 1079, scanline start 1070, end 1082
[SNIP]
Comment 66 lemniscattaden 2017-08-29 22:12:41 UTC
I have same problem on Skylake with 4.12.6-1-ARCH kernel. My log seems interesting on heavy load. I'm using intel hd graphics for video output and NVIDIA GTX1050ti for calculation tasks. The problem arose after the appearance of NVIDIA.

[1101454.618074] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=1566414 end=1566415) time 213 us, min 1073, max 1079, scanline start 1068, end 1083
[1102716.501031] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=1642127 end=1642128) time 216 us, min 1073, max 1079, scanline start 1065, end 1079
[1103067.500983] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=1663187 end=1663188) time 210 us, min 1073, max 1079, scanline start 1066, end 1076
[1104639.638688] azx_single_send_cmd: 176 callbacks suppressed
[1107240.243405] azx_single_send_cmd: 92 callbacks suppressed
[1107240.373829] snd_hda_codec_hdmi hdaudioC0D2: Unable to sync register 0x2f0d00. -5
[1108223.295616] azx_single_send_cmd: 176 callbacks suppressed
[1111701.900766] azx_single_send_cmd: 92 callbacks suppressed
[1111702.051076] snd_hda_codec_hdmi hdaudioC0D2: Unable to sync register 0x2f0d00. -5
[1113173.531389] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=88298 end=88299) time 503 us, min 1073, max 1079, scanline start 1054, end 1083
[1113649.031255] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=116828 end=116829) time 570 us, min 1073, max 1079, scanline start 1046, end 1079
[1116186.064144] azx_single_send_cmd: 176 callbacks suppressed
[1116203.516870] azx_single_send_cmd: 92 callbacks suppressed
[1116203.621222] snd_hda_codec_hdmi hdaudioC0D2: Unable to sync register 0x2f0d00. -5
[1116382.114066] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=10716 end=10717) time 213 us, min 1073, max 1079, scanline start 1071, end 1086
[1116677.397290] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=28433 end=28434) time 213 us, min 1073, max 1079, scanline start 1066, end 1075
[1116846.897336] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=38603 end=38604) time 206 us, min 1073, max 1079, scanline start 1068, end 1082
[1117645.497152] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=86519 end=86520) time 215 us, min 1073, max 1079, scanline start 1068, end 1083
[1118929.730403] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=163573 end=163574) time 283 us, min 1073, max 1079, scanline start 1068, end 1087
[1122635.303649] azx_single_send_cmd: 176 callbacks suppressed
[1122793.893941] azx_single_send_cmd: 92 callbacks suppressed
[1122794.015338] snd_hda_codec_hdmi hdaudioC0D2: Unable to sync register 0x2f0d00. -5
[1123616.505106] azx_single_send_cmd: 176 callbacks suppressed
[1125744.028663] azx_single_send_cmd: 92 callbacks suppressed
[1125744.136461] snd_hda_codec_hdmi hdaudioC0D2: Unable to sync register 0x2f0d00. -5
Comment 67 Arcadiy Ivanov 2017-09-01 16:49:51 UTC
(In reply to Arcadiy Ivanov from comment #64)
> My issue went away completely so far with 4.12.8:
> 
> BOOT_IMAGE=/vmlinuz-4.12.8-300.fc26.x86_64 root=/dev/mapper/fedora-root ro
> rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rd.driver.blacklist=nouveau
> rd.driver.blacklist=psmouse i915.enable_guc_loading=1
> i915.enable_guc_submission=1 intel_pstate=skylake_hwp i915.enable_psr=1
> i915.disable_power_well=0 nouveau.modeset=0 rhgb quiet LANG=en_US.UTF-8

I too finally reproduced on 4.12.8:

[103325.079002] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[103326.080019] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[103327.221087] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[103327.726119] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[103328.723060] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[103329.723056] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[103330.720044] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[103331.551098] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[103336.573095] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[103337.932953] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[103339.934093] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[103342.931059] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[103345.930103] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[103346.932977] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[103347.934066] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[103349.933046] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[103351.934035] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
Comment 68 syphyr 2017-09-01 19:24:14 UTC
Interestingly, this issue does not occur when using a 4.9.46 kernel.  The problem must have been introduced in the 4.12.x kernel.
Comment 69 syphyr 2017-09-06 19:10:09 UTC
This problem seems fixed with the 4.13 kernel.
Comment 70 ak 2017-09-16 17:36:58 UTC
(In reply to syphyr from comment #69)
> This problem seems fixed with the 4.13 kernel.


That is just not true.

These "[drm:intel_pipe_update_end] *ERROR* Atomic update failure on pipe A" are all over the place on 4.13.2; And I say so because I went ahead and tested the 4.13 kernel just because of your message - I was on the 4.12 version for a long time.
Comment 71 P. Levine 2017-09-30 23:38:31 UTC
(In reply to syphyr from comment #69)
> This problem seems fixed with the 4.13 kernel.

Still getting these on Gentoo Linux 4.13.4 kernel.

> [12117.295386] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=63001 end=63002) time 5288 us, min 1073, max 1079, scanline start 1049, end 281
> [15403.385462] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=5353 end=5354) time 5354 us, min 1073, max 1079, scanline start 807, end 807
> [15654.803272] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=20451 end=20452) time 5361 us, min 1073, max 1079, scanline start 1054, end 1055
> [16162.657668] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=50949 end=50950) time 5346 us, min 1073, max 1079, scanline start 863, end 863
Comment 72 Damjan Georgievski 2017-10-14 11:13:06 UTC
I'm getting this same issue on ArchLinux running KDE

[ 2132.598882] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=128246 end=128247) time 108 us, min 1073, max 1079, scanline start 1072, end 1080

I only have the message once in dmesg, but after that the display has visual glitches and freezes

Kernel is 4.13.6
CPU i7-7500U
Plasma/KDE 5.11
happens wiht or without "intel_iommu=on,igfx_off" on the kernel command line

OpenGL vendor string:                   Intel Open Source Technology Center
OpenGL renderer string:                 Mesa DRI Intel(R) HD Graphics 620 (Kaby Lake GT2) 
OpenGL version string:                  4.5 (Core Profile) Mesa 17.2.2
OpenGL shading language version string: 4.50
Driver:                                 Intel
GPU class:                              Unknown
OpenGL version:                         4.5
GLSL version:                           4.50
Mesa version:                           17.2.2
X server version:                       1.19.5
Linux kernel version:                   4.13.6

$ sudo cat /sys/kernel/debug/dri/0/i915_edp_psr_status
Sink_Support: yes
Source_OK: no
Enabled: no
Active: no
Busy frontbuffer bits: 0x000
Re-enable work scheduled: no
Main link in standby mode: no
HW Enabled & Active bit: no

libdrm is 2.4.83-1
Comment 73 cribari 2017-11-29 08:56:10 UTC
I am experiencing this under Manjaro Linux: 

From dmesg (with intel_iommu=off): 

[drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=91212 end=91213) time 150 us, min 1073, max 1079, scanline start 1072, end 1073

Kernel: 

[cribari@darwin5 ~]$ uname -a
Linux darwin5 4.14.2-1-MANJARO #1 SMP PREEMPT Fri Nov 24 11:15:23 UTC 2017 x86_64 GNU/Linux

More info: 

[cribari@darwin5 ~]$ sudo cat /sys/kernel/debug/dri/0/i915_edp_psr_status
Sink_Support: yes
Source_OK: no
Enabled: no
Active: no
Busy frontbuffer bits: 0x000
Re-enable work scheduled: no
Main link in standby mode: no
HW Enabled & Active bit: no

Hardware: 

[cribari@darwin5 ~]$ inxi -G
Graphics:  Card: Intel HD Graphics 520
           Display Server: x11 (X.Org 1.19.5 ) driver: modesetting
           Resolution: 1920x1080@60.00hz
           OpenGL: renderer: Mesa DRI Intel HD Graphics 520 (Skylake GT2)
           version: 4.5 Mesa 17.2.5
Comment 74 syphyr 2017-11-29 18:49:01 UTC
I just started to notice the same error on my laptop with 4.14.2 also.  Although, I don't think I saw this error with 4.14.1.  Do you remember seeing this error with 4.14.1 too?
Comment 75 syphyr 2017-11-30 21:45:21 UTC
I now realize that those "Atomic update failure on pipe A" error messages are only showing up on 4.14.2 under heavy system load, like when I'm compiling a lot of stuff.  Under normal usage, the errors are not showing up.
Comment 76 kolp 2017-12-17 10:09:43 UTC
Experienced the same problem on my Arch with Kernel 4.14.5

[drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=8790 end=8791) time 122 us, min 1016, max 1023, scanline start 1015, end 1025

Right after the error, firefox started glitching on Youtube. The page started flashing and the scrolling stopped working 

Intel 620
Comment 77 Rik 2017-12-22 17:12:17 UTC
Same problem here on Archlinux with kernel 4.14.8.

Graphics:  Card: Intel HD Graphics 530
           Display Server: X.Org 1.19.5 driver: i915
           Resolution: 1920x1080@60.00hz
           OpenGL: renderer: Mesa DRI Intel HD Graphics 530 (Skylake GT2)
           version: 4.5 Mesa 17.3.0
Comment 78 Elizabeth 2017-12-26 16:02:54 UTC
(In reply to kolp from comment #76)
> Experienced the same problem on my Arch with Kernel 4.14.5
> 
> [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B
> (start=8790 end=8791) time 122 us, min 1016, max 1023, scanline start 1015,
> end 1025
> 
> Right after the error, firefox started glitching on Youtube. The page
> started flashing and the scrolling stopped working 
> 
> Intel 620
May be different, could you try mesa 17.3? Thanks.
Comment 79 kolp 2017-12-29 09:37:57 UTC
(In reply to Elizabeth from comment #78)
> (In reply to kolp from comment #76)
> > Experienced the same problem on my Arch with Kernel 4.14.5
> > 
> > [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B
> > (start=8790 end=8791) time 122 us, min 1016, max 1023, scanline start 1015,
> > end 1025
> > 
> > Right after the error, firefox started glitching on Youtube. The page
> > started flashing and the scrolling stopped working 
> > 
> > Intel 620
> May be different, could you try mesa 17.3? Thanks.

Yes, the issue still persists with Kernel 4.14.8 and mesa 17.3
Comment 80 kepade 2018-01-02 13:01:06 UTC
Yes, the issue still persists with archlinux Kernel 4.14.10 and mesa 17.3.1-2

=>dmesg |grep drm:intel
[21636.609016] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=124603 end=124604) time 147 us, min 763, max 767, scanline start 761, end 768
Comment 81 kolp 2018-01-07 21:30:44 UTC
I've personally not experienced this in kernel 4.14.12, but please leave it open for a few more days
Comment 82 kolp 2018-01-11 08:22:40 UTC
I was wrong. Still happening on kernel 4.14.12

[drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=30 end=31) time 2135 us, min 1073, max 1079, scanline start 1040, end 80
Comment 83 kolp 2018-02-12 12:10:29 UTC
Still happening with mesa 17.3.3 and Kernel 4.14.18
Comment 84 Rik 2018-02-21 09:58:58 UTC
Same here with kernel 4.16.0-rc2:
[drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=342935 end=342936) time 147 us, min 1073, max 1079, scanline start 1072, end 1082

System:    Kernel: 4.16.0-rc2 x86_64 bits: 64 Desktop: Xfce 4.12.4
           Distro: Arch Linux
Machine:   Device: desktop Mobo: ASRock model: Z170M Extreme4 
           serial: M80-68001700529
           UEFI [Legacy]: American Megatrends v: P7.20 date: 12/13/2016
Graphics:  Card: Intel HD Graphics 530
           Display Server: X.Org 1.19.6 driver: i915
           Resolution: 1920x1080@60.00hz
           OpenGL: renderer: Mesa DRI Intel HD Graphics 530 (Skylake GT2)
           version: 4.5 Mesa 17.3.3
Comment 85 Rik 2018-02-22 13:49:21 UTC
P.s.

Kernel 4.9.82:

[ 9213.066246] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=179273 end=179274) time 133 us, min 1073, max 1079, scanline start 1072, end 1081
Comment 86 Jani Saarinen 2018-03-29 07:10:14 UTC
First of all. Sorry about spam.
This is mass update for our bugs. 

Sorry if you feel this annoying but with this trying to understand if bug still valid or not.
If bug investigation still in progress, please ignore this and I apologize!

If you think this is not anymore valid, please comment to the bug that can be closed.
If you haven't tested with our latest pre-upstream tree(drm-tip), can you do that also to see if issue is valid there still and if you cannot see issue there, please comment to the bug.
Comment 87 John 2018-04-07 13:29:15 UTC
I am seeing dmesg spammed with messages like this on an older machine (Intel E5200 CPU on a P45 + ICH10 Chipset motherboard (GA-EP45-UD3L).  I do not see anything in the display that would indicate a problem, just hundreds of lines in dmesg/journalctl like the above.

Distro: Arch Linux
Kernel version: 4.15.15
Mesa version: 18.0.0
libva version: 2.1.0


[86786.314232] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=5218833 end=5218834) time 371 us, min 1073, max 1079, scanline start 1066, end 1091
[86793.150277] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=5219244 end=5219245) time 475 us, min 1073, max 1079, scanline start 1049, end 1082
[86802.298531] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=5219794 end=5219795) time 469 us, min 1073, max 1079, scanline start 1054, end 1086
[86804.893357] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=5219950 end=5219951) time 370 us, min 1073, max 1079, scanline start 1065, end 1090

(Goes on for 100+ lines).
Comment 88 Laurent Bonnaud 2018-04-11 08:31:04 UTC
I just saw a single instance of this message:

[33573.372959] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=2015113 end=2015114) time 189 us, min 1073, max 1079, scanline start 1071, end 1084

Ubuntu 18.04
kernel 4.16.1
Mesa 18.0-rc5
libdrm 2.4.91-2
Xorg 1.19.6

Intel NUC7i5BNB
Core i5-7260U
Comment 89 cribari 2018-04-21 01:28:29 UTC
Same here. I see 

[  304.695353] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=22272 end=22273) time 155 us, min 1073, max 1079, scanline start 1069, end 1080

Arch Linux, kernel 4.16.3, mesa 18.0.1, libdrm 2.4.91.
Comment 90 Vova 2018-04-30 23:32:51 UTC
[drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=480521 end=480522) time 158 us, min 1073, max 1079, scanline start 1071, end 1081

CPU: i7-7500U
Kernel: 4.16.4
Comment 91 nadav.mavor 2018-05-01 13:33:42 UTC
same:
arch linux 
cat /sys/kernel/debug/dri/0/i915_edp_psr_status
Sink_Support: no
Source_OK: no
Enabled: no
Active: no
Busy frontbuffer bits: 0x000
Re-enable work scheduled: no
Main link in standby mode: no
HW Enabled & Active bit: no

dmesg |grep drm:intel
[  435.596459] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=28564 end=28565) time 149 us, min 763, max 767, scanline start 761, end 768
[ 9322.944585] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=65616 end=65617) time 158 us, min 1073, max 1079, scanline start 1070, end 1081
[ 9412.278000] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=70976 end=70977) time 116 us, min 1073, max 1079, scanline start 1072, end 1080
[13161.908593] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=1797 end=1798) time 157 us, min 1073, max 1079, scanline start 1071, end 1081
[15351.244575] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=133157 end=133158) time 114 us, min 1073, max 1079, scanline start 1072, end 1080
[17123.414536] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=2726 end=2727) time 117 us, min 1073, max 1079, scanline start 1072, end 1080
[18455.116102] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=82628 end=82629) time 125 us, min 1073, max 1079, scanline start 1071, end 1079
[18735.083092] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=99426 end=99427) time 115 us, min 1073, max 1079, scanline start 1072, end 1080
[19748.193221] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe B (start=160209 end=160210) time 160 us, min 1073, max 1079, scanline start 1070, end 1081
[21790.553458] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=282754 end=282755) time 147 us, min 1073, max 1079, scanline start 1072, end 1082
[23729.544324] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=18671 end=18672) time 174 us, min 1073, max 1079, scanline start 1070, end 1082
[82500.956340] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=151301 end=151302) time 141 us, min 1073, max 1079, scanline start 1071, end 1080
[83591.844712] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=15213 end=15214) time 158 us, min 1073, max 1079, scanline start 1069, end 1080
[85069.479824] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=103871 end=103872) time 157 us, min 1073, max 1079, scanline start 1070, end 1080

CPU: Dual Core Intel Core i5-6300U (-MT MCP-) speed/min/max: 839/400/3000 MHz Kernel: 4.16.5-1-ARCH x86_64 
Up: 23h 43m Mem: 8906.6/11797.1 MiB (75.5%) HDD: 2.28 TiB (23.3% used) Procs: 276 Shell: bash 4.4.19 
inxi: 3.0.07 

Graphics:  Card-1: Intel HD Graphics 520 driver: i915 v: kernel 
           Display: server: X.Org 1.19.6 driver: intel unloaded: fbdev,modesetting,vesa 
           resolution: 1920x1080~60Hz, 1920x1080~60Hz 
           OpenGL: renderer: Mesa DRI Intel HD Graphics 520 (Skylake GT2) v: 4.5 Mesa 18.0.1
Comment 92 steven.j.hockemeier 2018-06-18 17:11:22 UTC
Latest Results?
Comment 93 Jani Saarinen 2018-06-19 15:17:48 UTC
Hi all reporters,

This bug has come really difficult to follow and maintain and really understand what is real issue. So lets resolve this as not fixed and when you see something  similar see first bug this bug is blocking (meta-bug) and see if you have bug already there and if not then make new bug and link to that meta bug.

Thank you for understanding and keeping our bug database clearer. 

Br,
Jani
Comment 94 Arcadiy Ivanov 2018-08-25 02:20:02 UTC
Issue has been consistently reproducible on Fedora 27 and 28 with all the kernels for me.

Latest is:

[  293.437141] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[  970.936920] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[ 1793.716361] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[ 1806.931236] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[ 8157.319379] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[ 8937.082926] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[ 9153.682331] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[ 9347.782900] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[ 9348.079936] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[10147.074839] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[10163.715676] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[10173.762560] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[10705.670291] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[10717.067202] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[10725.745092] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[10789.064645] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=507440 end=507441) time 10 us, min 1074, max 1079, scanline start 1087, end 1088
[11007.070575] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[11247.643606] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[11257.683502] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[11305.064088] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[11387.765377] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[11543.013115] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[12415.012649] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[12585.053377] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[12675.030936] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[12825.632862] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[12839.643854] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[14713.656223] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[14723.696156] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A

$ uname -a
Linux hostname 4.17.18-200.fc28.x86_64 #1 SMP Wed Aug 22 19:08:07 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

$ cat /proc/cmdline 
BOOT_IMAGE=/vmlinuz-4.17.18-200.fc28.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rd.driver.blacklist=psmouse i915.enable_guc=-1 intel_pstate=skylake_hwp i915.enable_psr=1 i915.disable_power_well=0 rcutree.rcu_idle_gp_delay=1 l1tf=full,force

Is it a GUC issue? Is it a BIOS issue?
Comment 95 Lakshmi 2018-08-27 09:50:47 UTC
This bug is a duplicate of 105537. Closing this bug as a DUPLICATE.
Comment 96 Lakshmi 2018-08-27 09:51:17 UTC

*** This bug has been marked as a duplicate of bug 105537 ***


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.